Skip to content
Get Started

List verified contacts

GET/v3/verified-contacts

Lists contacts attached to the authenticated account’s shared iMessage line. Contacts start as pending; they become verified after the recipient sends an inbound iMessage or SMS to the shared line.

ReturnsExpand Collapse
data: optional object { contacts, line }
contacts: array of object { created_at, phone_number, updated_at, 2 more }
created_at: string
phone_number: string

Contact phone number in E.164 format

updated_at: string
verification_status: "pending" or "verified"
One of the following:
"pending"
"verified"
verified: boolean

Whether this contact has completed verification by messaging the shared line

line: object { phone_number, type }
phone_number: string

Shared Sendblue line the contact must message to complete verification

type: "shared"

List verified contacts

curl https://api.sendblue.co/v3/verified-contacts \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
{
  "data": {
    "contacts": [
      {
        "created_at": "2026-08-12T18:32:12.000Z",
        "phone_number": "+12125550199",
        "updated_at": "2026-08-12T18:32:12.000Z",
        "verification_status": "pending",
        "verified": false
      }
    ],
    "line": {
      "phone_number": "+12125550101",
      "type": "shared"
    }
  }
}
Returns Examples
{
  "data": {
    "contacts": [
      {
        "created_at": "2026-08-12T18:32:12.000Z",
        "phone_number": "+12125550199",
        "updated_at": "2026-08-12T18:32:12.000Z",
        "verification_status": "pending",
        "verified": false
      }
    ],
    "line": {
      "phone_number": "+12125550101",
      "type": "shared"
    }
  }
}